Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.runtime
Class ExtentImpl

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.runtime.ExtentImpl

All Implemented Interfaces:
  javax.jdo.Extent

public abstract class ExtentImpl
extends java.lang.Object
implements javax.jdo.Extent

Abstract `Extent` implementation that takes care of everything but creating and closing iterators.

Constructor Summary
`ExtentImpl(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm, java.lang.Class type, boolean subs)` Constructor.

Method Summary
`void` | `close(java.util.Iterator itr)`
`void` | `closeAll()`
`protected void` | `closeIterator(java.util.Iterator iter)` Close the given iterator.
`java.lang.Class` | `getCandidateClass()`
`int` | `getFetchBatchSize()` Return the fetch batch size for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchBatchSize` setting.
`int` | `getFetchThreshold()` Return the fetch threshold for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchThreshold` setting.
`protected abstract java.util.Iterator` | `getIterator()` Return an iterator over this extent.
`javax.jdo.PersistenceManager` | `getPersistenceManager()`
`boolean` | `hasSubclasses()`
`java.util.Iterator` | `iterator()`
`java.util.List` | `list()` API extension.
`void` | `setFetchBatchSize(int fetchBatchSize)` Set the fetch batch size for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchBatchSize` setting.
`void` | `setFetchThreshold(int fetchThreshold)` Set the fetch threshold for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchThreshold` setting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtentImpl

    public ExtentImpl(com.solarmetric.rd.kodo.runtime.PersistenceManagerImpl pm,
                      java.lang.Class type,
                      boolean subs)

  Constructor.

Parameters:
  `pm` - the owning persistence manager
  `type` - the candidate class
  `subs` - whether subclasses are included in the extent

Method Detail

### getFetchThreshold

    public int getFetchThreshold()

  Return the fetch threshold for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchThreshold` setting.

### setFetchThreshold

    public void setFetchThreshold(int fetchThreshold)

  Set the fetch threshold for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchThreshold` setting.

### getFetchBatchSize

    public int getFetchBatchSize()

  Return the fetch batch size for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchBatchSize` setting. Note that this property will be ignored under some data stores.

### setFetchBatchSize

    public void setFetchBatchSize(int fetchBatchSize)

  Set the fetch batch size for large result set support on this extent; defaults to the `com.solarmetric.kodo.FetchBatchSize` setting. Note that this property will be ignored under some data stores.

### list

    public java.util.List list()

  API extension. Returns a list of all objects represented by this extent. This method creates a `List` by traversing the entire iterator returned by a call to `iterator()`. This means that `Collection.size()` will work correctly, but if the extent represents a large data set, this method may be quite slow and may consume quite a bit of memory.

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `javax.jdo.Extent`

### getPersistenceManager

    public javax.jdo.PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `javax.jdo.Extent`

### getCandidateClass

    public java.lang.Class getCandidateClass()

  Specified by:
    `getCandidateClass` in interface `javax.jdo.Extent`

### hasSubclasses

    public boolean hasSubclasses()

  Specified by:
    `hasSubclasses` in interface `javax.jdo.Extent`

### closeAll

    public void closeAll()

  Specified by:
    `closeAll` in interface `javax.jdo.Extent`

### close

    public void close(java.util.Iterator itr)

  Specified by:
    `close` in interface `javax.jdo.Extent`

### getIterator

    protected abstract java.util.Iterator getIterator()

  Return an iterator over this extent.

### closeIterator

    protected void closeIterator(java.util.Iterator iter)

  Close the given iterator. Does nothing by default.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.